package com.ffii.lioner.modules.lioner.entity;

import java.time.LocalDateTime;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import jakarta.validation.constraints.NotNull;

/** @author Jason Lam */
@Entity
@Table(name = "todo_reminder_email_log")
public class TodoReminderEmailLog extends BaseEntity<Long>{

	@NotNull
	@Column
	private Long id;

    @NotNull
	@Column
	private Long eventId;

    @NotNull
	@Column
	private Long subDivisionId;

    @NotNull
	@Column
	private Long userId;

    @NotNull
    @Column
	private LocalDateTime sendDate;

    @NotNull
	@Column
	private Boolean success;

	@Column
	private String response;

    @NotNull
    @Column
	private String reminderType;

    @NotNull
    @Column
	private String content;

    @NotNull
    @Column
	private String resendSuccess;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEventId() {
        return this.eventId;
    }

    public void setEventId(Long eventId) {
        this.eventId = eventId;
    }

    public Long getSubDivisionId() {
        return this.subDivisionId;
    }

    public void setSubDivisionId(Long subDivisionId) {
        this.subDivisionId = subDivisionId;
    }

    public Long getUserId() {
        return this.userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public LocalDateTime getSendDate() {
        return this.sendDate;
    }

    public void setSendDate(LocalDateTime sendDate) {
        this.sendDate = sendDate;
    }

    public Boolean isSuccess() {
        return this.success;
    }

    public Boolean getSuccess() {
        return this.success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getResponse() {
        return this.response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getReminderType() {
        return this.reminderType;
    }

    public void setReminderType(String reminderType) {
        this.reminderType = reminderType;
    }

    public String getContent() {
        return this.content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getResendSuccess() {
        return this.resendSuccess;
    }

    public void setResendSuccess(String resendSuccess) {
        this.resendSuccess = resendSuccess;
    }

}

